%define waddir  %{_datadir}/doom

Name:           freedoom-freedm

Version:        0.5
Release:        3%{?dist}
Summary:        Deathmatch levels for Doom

Group:          Amusements/Games
License:        BSD
URL:            http://freedoom.sourceforge.net
Source0:	http://downloads.sourceforge.net/freedoom/freedoom-freedm-%{version}.zip
Source1:	freedoom-freedm.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:	noarch
BuildRequires:  desktop-file-utils
Requires:       prboom freedoom

%description
A set of deathmatch levels for the DOOM game engine, based on the
freely redistributable Freedoom game files.


%prep
%setup -q


%build
# Game data files.  Nothing to build!

%install
rm -rf $RPM_BUILD_ROOT
install -pD -m 0644 freedm.wad $RPM_BUILD_ROOT/%{waddir}/freedm.wad

desktop-file-install --vendor fedora                            \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications         \
        %{SOURCE1}

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{waddir}/freedm.wad
%{_datadir}/applications/*.desktop
%doc README COPYING CREDITS NEWS



%changelog
* Sat Mar 10 2007 Wart <wart at kobold.org> 0.5-3
- Fix typo in desktop file category

* Sat Mar 3 2007 Wart <wart at kobold.org> 0.5-2
- Use better sourceforge download url
- Use more precise desktop file categories

* Sat Sep 16 2006 Wart <wart at kobold.org> 0.5-1
- Initial package for Fedora Extras
